/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { login } from "./loginLogout.cy.js";
import { logout } from "./loginLogout.cy.js";

describe("template spec local", () => {
  it("checks the tab title", function () {
    cy.visit("https://bup-ozg-ci-frontend.pidev.mgm-tp.com/");

    //sign in page
    cy.title().should("eq", "Sign in to ozg-ci");

    cy.log("**login**");
    login(cy);

    //overview page
    cy.title().should("eq", "Postfach | Antragsraum");

    //open detail page
    checkSpecificElement(cy, "buttonOpenNewMessage", elements.getFirstOpenButtonNew(cy)).click();

    cy.title().should("contain", "Rückfrage Antragsraum"); //todo: improve with regex to check the date

    //Datenschutz
    //todo

    //Impressum
    //todo
  });
});
