List item content for the message overview list:

```jsx
<OverviewListItem unread title="Rückfrage vom 12. April 2023" subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123" actionButtonLabel="Öffnen" trustLevel="LOW"/>
```

Without NEW badge:

```jsx
<OverviewListItem title="Rückfrage vom 12. April 2023" subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123" answeredAt="Beantwortet am 11. Mai 2023" actionButtonLabel="Öffnen" trustLevel="LOW"/>
```

Without NEW badge or answered at:

```jsx
<OverviewListItem title="Rückfrage vom 12. April 2023" subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123" actionButtonLabel="Öffnen" trustLevel="LOW"/>
```

As a full list:

```jsx
import {List, ListItem} from "./List";

<List>
    <ListItem>
        <OverviewListItem unread title="Rückfrage vom 12. April 2023"
                          subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123" actionButtonLabel="Öffnen"
                          trustLevel="LOW"/>
    </ListItem>
    <ListItem>
        <OverviewListItem title="Rückfrage vom 12. April 2023" subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123"
                          answeredAt="Beantwortet am 11. Mai 2023" actionButtonLabel="Öffnen" trustLevel="LOW"/>
    </ListItem>
    <ListItem>
        <OverviewListItem title="Rückfrage vom 12. April 2023" subtitle="Ihr Antrag: Kleiner Waffenschein nach §234 123"
                          actionButtonLabel="Öffnen" trustLevel="LOW"/>
    </ListItem>
</List>
```