With a message value:
```jsx
<ResponseForm
    message="This is a message"
    errorMessage=""
    uploadButtonLabel="Datei hinzufügen"
    submitButtonLabel="Antwort absenden"
    messagePlaceholder="Fügen Sie eine Nachricht hinzu"
    sendingButtonLabel="Wird gesendet"
    attachments={[]}
    onRemoveAttachment={() => {}}
    onUpload={() => {}}
    onWrite={() => {}}
    onSendResponse={() => {}}
/>
```

With an error message:
```jsx
<ResponseForm
    message=""
    errorMessage="No reply entered"
    uploadButtonLabel="Datei hinzufügen"
    submitButtonLabel="Antwort absenden"
    messagePlaceholder="Fügen Sie eine Nachricht hinzu"
    sendingButtonLabel="Wird gesendet"
    attachments={[]}
    onRemoveAttachment={() => {}}
    onUpload={() => {}}
    onWrite={() => {}}
    onSendResponse={() => {}}
/>
```

With uploaded attachments:
```jsx
<ResponseForm
    message=""
    errorMessage=""
    uploadButtonLabel="Datei hinzufügen"
    submitButtonLabel="Antwort absenden"
    messagePlaceholder="Fügen Sie eine Nachricht hinzu"
    sendingButtonLabel="Wird gesendet"
    attachments={[
        {id: "1", fileName: "Bauantrag_Schmidt.xlsx", fileSize: 2621440, contentType: "application/vnd.openxmlformats-officedocument. spreadsheetml.sheet"},
        {id: "2", fileName: "Bauantrag_Schmidt.png", fileSize: 409600, contentType: "image/png"},
        {id: "3", fileName: "Bauantrag_Schmidt.pdf", fileSize: 1572864, contentType: "application/pdf"}
    ]}
    onRemoveAttachment={() => {}}
    onUpload={() => {}}
    onWrite={() => {}}
    onSendResponse={() => {}}
/>
```