PDF file:

```jsx
<AttachmentList messageId="1" attachments={[{id: "1", fileName: "Bauantrag_Schmidt.pdf", fileSize: 1572864, contentType: "application/pdf"}]} />
```

DOC file:

```jsx
<AttachmentList messageId="1" attachments={[{id: "1", fileName: "Bauantrag_Schmidt.docx", fileSize: 1048576, contentType: "application/vnd.openxmlformats-officedocument.wordprocessingml.document"}]} />
```

Excel file:

```jsx
<AttachmentList messageId="1" attachments={[{id: "1", fileName: "Bauantrag_Schmidt.xlsx", fileSize: 2621440, contentType: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"}]} />
```

Oher file:

```jsx
<AttachmentList messageId="1" attachments={[{id: "1", fileName: "Bauantrag_Schmidt.png", fileSize: 409600, contentType: "image/png"}]} />
```

Removable attachment:

```jsx
<AttachmentList attachments={[{id: "1", fileName: "Bauantrag_Schmidt.png", fileSize: 409600, contentType: "image/png"}]} onRemove={() => {}} />
```

Multiple files:

```jsx
<AttachmentList messageId="1" attachments={[
    {id: "1", fileName: "Bauantrag_Schmidt.xlsx", fileSize: 2621440, contentType: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"},
    {id: "2", fileName: "Bauantrag_Schmidt.png", fileSize: 409600, contentType: "image/png"},
    {id: "3", fileName: "Bauantrag_Schmidt.pdf", fileSize: 1572864, contentType: "application/pdf"}
]} />
```